Bug 741142 - znc-infobot PackageReview - Infobot plugin for ZNC
Summary: znc-infobot PackageReview - Infobot plugin for ZNC
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nick Bebout
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-26 00:58 UTC by Keiran Smith
Modified: 2011-12-09 01:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-12-09 01:18:42 UTC
nb: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Keiran Smith 2011-09-26 00:58:58 UTC
Spec URL: http://affix.me/packaging/znc-infobot.spec
SRPM URL: http://affix.me/packaging/znc-infobot-0.200-1.fc16.src.rpm 

Description:

This is a user module for ZNC that provides joined 
channels with a multitude of bot commands

rpmlint znc-infobot-0.200-1.fc16.src.rpm
=================================
znc-infobot.src: W: summary-not-capitalized C infobot module for ZNC IRC Bouncer
znc-infobot.src: W: invalid-url Source0: znc-infobot-0.200.tar.gz
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Comment 1 Nick Bebout 2011-09-26 01:12:16 UTC
Taking this review request.

I have done a preliminary review and see no blockers, however, I am holding off on approving this, pending discussion on the naming of znc module packages.

Comment 2 Nick Bebout 2011-09-26 01:13:52 UTC
I did ask affix on IRC to add a comment with the url of the .cpp file and to use mkdir -p instead of 3 separate mkdir's.  He will make these changes prior to building the package.

Comment 3 Nick Bebout 2011-10-13 22:14:05 UTC
Approved, with the changes noted in comment 2.

Comment 4 Keiran Smith 2011-10-13 22:16:43 UTC
New Package SCM Request
=======================
Package Name: znc-infobot
Short Description: User module for ZNC that provides bot sommands
Owners: affix nb
Branches: f14 f15 f16 el6
InitialCC: N/A

Comment 5 Keiran Smith 2011-10-13 22:22:04 UTC
Sorry I made a mistake new SCM Request

New Package SCM Request
=======================
Package Name: znc-infobot
Short Description: User module for ZNC that provides bot sommands
Owners: affix nb
Branches: f14 f15 f16 el5 el6
InitialCC: N/A

Comment 6 Gwyn Ciesla 2011-10-14 12:14:41 UTC
Git done (by process-git-requests).

Nick, please take ownership of review BZs.

Keiran, please leave InitialCC blank if nothing is needed.

Thanks all!

Comment 7 Nick Bebout 2011-10-16 18:17:16 UTC
Sorry Jon, I forgot to click that button.  Fixed now.


Note You need to log in before you can comment on or make changes to this bug.